import { RestController } from '../controllers/rest.controller';
import { FunctionsModel } from '../model/functions.model';
export declare class StorageWebservice {
    constructor(rest: RestController);
    private static handleGetFile;
    private static handleUploadFile;
    private static handleGetThumbnail;
    private static handleListFiles;
    getUploadFileV2(): FunctionsModel;
    getFileStorageV1(): FunctionsModel;
    getFileFromStorage(): FunctionsModel;
    getFileFromStorageV2(): FunctionsModel;
    uploadMultiPartFile(): FunctionsModel;
    uploadMultiPartFileV2(): FunctionsModel;
    geThumbnailFromStorage(): FunctionsModel;
    geThumbnailFromStorageV2(): FunctionsModel;
    getFilesFromStorage(): FunctionsModel;
    getFilesFromStorageV2(): FunctionsModel;
}
